@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@700&display=swap');

.sh-button {
    /*box-shadow: 6px 5px 10px 3px #3636363D!important;*/
    /*box-shadow: -8px -8px 10px 0 #FFFFFF!important;*/
    background: linear-gradient(90.16deg, #FF913A 2.17%, #F88224 50.45%, #E46E10 98.39%) !important;
    height: 50px;
    padding: 8px 30px 7px !important;
}

.sh-button:last-child {
    margin-top: 11px !important;
}

.sh-button-form-row-block {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 7px;
}

@media only screen and (max-width: 360px) {
    .sh-button-form-row-block {
        max-width: 320px;
    }
}

.sh-button-form-row {
    width: 157px;
    height: 45px;
    border-radius: 10px;
    /*background: #FF8A00;*/
    font-size: 14px;
    font-weight: 500;
    text-align: center;
    line-height: 45px;
    cursor: pointer;
    color: #000000;
}

.sh-button-form-row.active {
    box-shadow: 0 4px 4px 0 #00000040;
    background: #FF8A00;
}

/*@media only screen and (max-width: 531px) {*/
/*    .sh-button-slider .sh-button-slider-mobile {*/
/*        !*display: none;*!*/
/*        font-size: 31px;*/
/*    }*/
/*}*/

@media only screen and (max-width: 631px) {
    .sh-button-slider-mobile-sw {
        visibility: hidden;
    }
}

.grey {
    background: #D9D9D9;
}

.ff-wrap {
    display: flex;
    width: 100%;
    max-width: 326px;
    justify-content: space-between;
}

@media only screen and (min-width: 425px) {
    .ff-wrap {
        width: 100%;
        max-width: 100%;
    }
}

@media only screen and (max-width: 425px) {
    .ff-wrap {
        max-width: 340px !important;
    }
}

@media only screen and (max-width: 360px) {
    .ff-wrap {
        max-width: 320px;
    }
}

.sh-ff {
    width: 157px !important;
    font-weight: 600 !important;
}

.sh-form-row--color {
    display: flex !important;
    justify-content: space-between !important;
}

.sh-line {
    border: 1px solid #EBECF0;
    margin-top: 5px;
    margin-bottom: 5px;
}

.sh-title {
    display: flex !important;
    align-items: center !important;
}

.sh-title-icon {
    margin-right: 9px;
    !important;
}

.sh-title-text {
    font-size: 1.4rem;
    font-weight: 600;
}

.sh-form-row {
    display: flex;
    justify-content: space-between !important;
}

.sh-canvas {
    border: none !important;
    width: 101px !important;
    height: 63px !important;
}

.sh-form-text-size {
    font-size: 10px;
    font-weight: 400;
    border: none !important;
    margin-top: 7px !important;
    width: 82px !important;
    height: 25px !important;
    color: #000 !important;
}

.sh-cost-text {
    position: relative;
    top: 9px;
    font-size: 1.4rem;
    font-weight: 500;
}

.sh-button-slider {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 277px;
    height: 45px;
    margin-top: -82px;
    font-size: 2rem;
    font-weight: 600;
    line-height: 24.38px;
    background: linear-gradient(91.16deg, #F5F1EE 4.83%, #E6E9EF 96.23%);
    border-radius: 15px;
    cursor: pointer;
    /*border: 0.36px solid;*/
    /*border-image-source: linear-gradient(91.25deg, #DACCC6 4.71%, #DDCFCA 12.89%, #FEFEFF 95.12%);*/
    /*box-shadow: -3.64px -3.64px 10.91px 0px #FFFFFFCC inset;*/
    /*box-shadow: 3.64px 3.64px 7.27px 0px #A6B4C8B2 inset;*/
    /*box-shadow: 0px 4px 17px 0px #0000001A;*/
}

@media only screen and (max-width: 1024px) {
    .sh-button-slider {
        margin-top: -57px;
    }
}

@media only screen and (max-width: 766px) {
    .sh-button-slider {
        margin-top: 17px;
    }
}

#sh-button-slider-mobile {
    width: 172px;
    height: 35px;
    font-size: 12px;
    font-weight: 600;
}

#sh-button-slider-mobile span {
    display: flex;
    width: 6px;
    height: 12px;
    background-image: url("https://okna-fabricant.ru/wp-content/uploads/2024/05/arrow-small.svg");
    margin-right: 5px;
}

@media only screen and (min-width: 631px) {
    #sh-button-slider-mobile {
        display: none;
    }
}

.sh-button-slider span {
    display: flex;
    width: 10px;
    height: 16px;
    background-image: url("https://okna-fabricant.ru/wp-content/uploads/2024/05/arrow.svg");
    margin-right: 5px;
}

@media only screen and (max-width: 767px) {
    .sh-row {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
}

.sh-wrap-img {
    display: contents;
    width: 100%;
}


/*spinner*/

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: #ffffff54;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.spinner {
    border: 12px solid #f3f3f3;
    border-top: 12px solid #FF8A00;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
